[jbpm-commits] JBoss JBPM SVN: r2341 - in jbpm4/trunk: hudson/hudson-home and 1 other directory.

do-not-reply at jboss.org do-not-reply at jboss.org
Wed Sep 24 09:25:00 EDT 2008


Author: thomas.diesler at jboss.com
Date: 2008-09-24 09:25:00 -0400 (Wed, 24 Sep 2008)
New Revision: 2341

Added:
   jbpm4/trunk/hudson/
   jbpm4/trunk/hudson/hudson-home/command.sh
Removed:
   jbpm4/trunk/hudson/hudson-home/command.sh
Log:
Add hudson

Copied: jbpm4/trunk/hudson (from rev 2315, jbpm3/trunk/hudson)

Deleted: jbpm4/trunk/hudson/hudson-home/command.sh
===================================================================
--- jbpm3/trunk/hudson/hudson-home/command.sh	2008-09-23 17:36:43 UTC (rev 2315)
+++ jbpm4/trunk/hudson/hudson-home/command.sh	2008-09-24 13:25:00 UTC (rev 2341)
@@ -1,96 +0,0 @@
-#!/bin/sh
-#
-# A script that uses Maven to build the project and
-# execute its test suite against a given target container 
-#
-# $Id$
-
-WORKSPACE=`pwd`
-JBPMDIR=$WORKSPACE/jbpm
-DISTRODIR=$JBPMDIR/modules/distribution/target
-
-case "$CONTAINER" in
-  jboss422*)
-    JBOSS_BUILD=jboss-4.2.2.GA
-  ;;
-
-  jboss423*)
-    JBOSS_BUILD=jboss-4.2.3.GA
-  ;;
-
-  jboss500*)
-    JBOSS_BUILD=jboss-5.0.0.CR2
-  ;;
-esac
-
-#
-# Unzip the JBoss build
-#
-rm -rf $JBOSS_BUILD
-unzip -q $HUDSON_BASE/jboss/$JBOSS_BUILD.zip
-
-JBOSS_HOME=$WORKSPACE/$JBOSS_BUILD
-ENVIRONMENT="-Ddatabase=$DATABASE -Djboss.id=$CONTAINER -Djboss.home=$JBOSS_HOME -Djboss.bind.address=$JBOSS_BINDADDR"
-
-#
-# Build distro
-#
-cd $JBPMDIR
-cp profiles.xml.example profiles.xml
-MVN_CMD="mvn $ENVIRONMENT -Pdistro clean install"
-echo $MVN_CMD; $MVN_CMD; MVN_STATUS=$?
-if [ $MVN_STATUS -ne 0 ]; then
-  echo maven exit status $MVN_STATUS
-  exit 1
-fi
-
-#
-# build the tests
-#
-MVN_CMD="mvn -o $ENVIRONMENT process-test-classes"
-echo $MVN_CMD; $MVN_CMD 2>&1; MVN_STATUS=$?
-if [ $MVN_STATUS -ne 0 ]; then
-  echo maven exit status $MVN_STATUS
-  exit 1
-fi
-
-#
-# Deploy distro
-#
-AUTO_INSTALL=modules/distribution/target/resources/auto-install-template.xml; cat $AUTO_INSTALL;
-JAVA_CMD="java -jar $DISTRODIR/jbpm-distribution-$JBPM_VERSION-izpack.jar $AUTO_INSTALL"
-echo $JAVA_CMD; $JAVA_CMD 
-
-#
-# start jbossas
-#
-$JBPMDIR/hudson/jboss/bin/jboss.sh $JBOSS_HOME start $JBOSS_BINDADDR
-
-# Was it successfully started?
-$JBPMDIR/hudson/jboss/bin/http-spider.sh $JBOSS_BINDADDR:8080 $WORKSPACE
-if [ -e $WORKSPACE/spider.failed ]; then
-  tail -n 100 $JBOSS_HOME/server/$JBOSS_SERVER/log/server.log
-  $JBPMDIR/hudson/jboss/bin/jboss.sh $JBOSS_HOME stop $JBOSS_BINDADDR
-  exit 1
-fi
-
-#
-# log dependency tree
-#
-MVN_CMD="mvn -o $ENVIRONMENT dependency:tree"
-echo $MVN_CMD; $MVN_CMD | tee $WORKSPACE/dependency-tree.txt
-
-#
-# execute tests
-#
-MVN_CMD="mvn -o $ENVIRONMENT -DtestFailureIgnore=true test"
-echo $MVN_CMD; $MVN_CMD 2>&1 | tee $WORKSPACE/tests.log
-cat $WORKSPACE/tests.log | egrep FIXME\|FAILED | sort -u | tee $WORKSPACE/fixme.txt
-cat $WORKSPACE/fixme.txt | egrep "\[\S*]" > $WORKSPACE/errata-$CONTAINER.txt
-
-#
-# stop jbossas
-#
-$JBPMDIR/hudson/jboss/bin/jboss.sh $JBOSS_HOME stop
-cp $JBOSS_HOME/server/$JBOSS_SERVER/log/boot.log $WORKSPACE/jboss-boot.log
-cp $JBOSS_HOME/server/$JBOSS_SERVER/log/server.log $WORKSPACE/jboss-server.log

Copied: jbpm4/trunk/hudson/hudson-home/command.sh (from rev 2317, jbpm3/trunk/hudson/hudson-home/command.sh)
===================================================================
--- jbpm4/trunk/hudson/hudson-home/command.sh	                        (rev 0)
+++ jbpm4/trunk/hudson/hudson-home/command.sh	2008-09-24 13:25:00 UTC (rev 2341)
@@ -0,0 +1,38 @@
+#!/bin/sh
+#
+# A script that uses Maven to build the project and
+# execute its test suite against a given target container 
+#
+# $Id$
+
+WORKSPACE=`pwd`
+JBPMDIR=$WORKSPACE/jbpm
+DISTRODIR=$JBPMDIR/modules/distribution/target
+
+ENVIRONMENT="-Ddatabase=$DATABASE -Djbpm.target.container=$CONTAINER -Djboss.home=$JBOSS_HOME -Djboss.bind.address=$JBOSS_BINDADDR"
+
+#
+# build the tests
+#
+cd $JBPMDIR
+cp profiles.xml.example profiles.xml
+MVN_CMD="mvn $ENVIRONMENT process-test-classes"
+echo $MVN_CMD; $MVN_CMD 2>&1; MVN_STATUS=$?
+if [ $MVN_STATUS -ne 0 ]; then
+  echo maven exit status $MVN_STATUS
+  exit 1
+fi
+
+#
+# log dependency tree
+#
+MVN_CMD="mvn -o $ENVIRONMENT dependency:tree"
+echo $MVN_CMD; $MVN_CMD | tee $WORKSPACE/dependency-tree.txt
+
+#
+# execute tests
+#
+MVN_CMD="mvn -o $ENVIRONMENT -DtestFailureIgnore=true test"
+echo $MVN_CMD; $MVN_CMD 2>&1 | tee $WORKSPACE/tests.log
+cat $WORKSPACE/tests.log | egrep FIXME\|FAILED | sort -u | tee $WORKSPACE/fixme.txt
+cat $WORKSPACE/fixme.txt | egrep "\[\S*]" > $WORKSPACE/errata-$CONTAINER.txt




More information about the jbpm-commits mailing list